package com.simuwang.daq.utils;

import cn.hutool.core.collection.ListUtil;
import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.read.builder.ExcelReaderBuilder;
import com.simuwang.base.pojo.dto.report.CustomExcelTable;
import com.simuwang.base.pojo.dto.report.SimpleTable;
import com.simuwang.daq.components.CustomExcelMultiSheetListener;

import java.util.List;

public class ExcelReportParseUtil {
    public static final String filepath = "D:\\Documents\\workspace\\idea\\smppw\\data-daq\\service-daq\\src\\main\\java\\com\\simuwang\\daq\\utils\\ST8112_瑞富兴康稳健成长一号私募证券投资基金_信息披露月报.xlsx";

    public static void main(String[] args) {
        List<CustomExcelTable> customExcelTables = ListUtil.list(true);
        customExcelTables.add(new CustomExcelTable("基金概况", 4, 1, 0));
        customExcelTables.add(new CustomExcelTable("净值月报", 5, 1, 2));
        customExcelTables.add(new CustomExcelTable("级基金净值表", 5, 1, 2));

        CustomExcelMultiSheetListener readListener = new CustomExcelMultiSheetListener();
        ExcelReaderBuilder readerBuilder = EasyExcel.read(filepath);
        readerBuilder.sheet();
        readerBuilder.customObject(customExcelTables);
        readerBuilder.registerReadListener(readListener);
        readerBuilder.doReadAll();

        List<SimpleTable> tables = readListener.getTables();
        for (SimpleTable table : tables) {
            System.out.println(table);
        }
    }
}
