package com.simuwang.base.pojo.dto.report;

import com.simuwang.base.common.conts.Constants;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author wangzaijun
 * @date 2024/10/14 8:52
 * @description 自定义传递的表格对象，设置表格表格、列数（如果为0则不限制列数）、开始列索引和行数（包含表头，如果为0则不限制行数）
 */
public record CustomExcelTable(String title, int colCount, int startCol, int rowCount) implements Serializable {
    @Serial
    private static final long serialVersionUID = Constants.DEFAULT_SERIAL_ID;
}
